In case you didn't know

Tell us what’s happening:
Describe your issue in detail here.

In case you didn’t know but I’m sure our great FCC staff is already working on it. :slight_smile:

This code:

app.route('/logout').get((req, res) => {
    req.logout();
    res.redirect('/');
  });

will throw an error:

Error: req#logout requires a callback function

Check Out:

Once I added the callback I passed the test!

Your project link(s)

solution: http://localhost:8080

Your browser information:

User Agent is: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/103.0.0.0 Safari/537.36

Challenge: Logging a User Out

Link to the challenge:

Can you paste a copy of what your package.json file looks like?

{
“//1”: “describes your app and its dependencies”,
“//2”: “https://docs.npmjs.com/files/package.json”,
“//3”: “updating this file will download and update your packages”,
“name”: “fcc-advanced-node-and-express”,
“author”: “JosephLivengood (Joseph Livengood) · GitHub”,
“version”: “0.0.1”,
“description”: “What am I about?”,
“main”: “server.js”,
“scripts”: {
“start”: “node server.js”,
“dev”: “nodemon server.js”
},
“dependencies”: {
“dotenv”: “^8.2.0”,
“express”: “^4.16.1”,
“express-session”: “^1.17.3”,
“mongodb”: “^3.6.1”,
“passport”: “^0.6.0”,
“passport-local”: “^1.0.0”,
“pug”: “^3.0.2”
},
“repository”: {
“type”: “git”,
“url”: “Glitch: The friendly community where everyone builds the web
},
“keywords”: [
“node”,
“express”,
“pug”,
“passport”,
“socketio”
],
“license”: “MIT”,
“devDependencies”: {
“nodemon”: “^2.0.4”
}
}

This is the problem. You did not install the version of passport specified in this challenge. Starting in version 0.6.0, a callback function is required.

already see my problem hehe